UUIDGEN(1)

NAME
uuidgen - command-line utility to create a new UUID value

SYNOPSIS
uuidgen [ -r | -t ]

DESCRIPTION
The uuidgen program creates a new universally unique identifier (UUID) using the libuuid(3) library. The new UUID can reasonably be considered unique among all UUIDs created on the local system, and among UUIDs created on other systems in the past and in the future.

There are two types of UUID's which uuidgen can generate: time-based UUID's and random-based UUID's. By default uuidgen will generate a random-based UUID if a high-quality random number generator is present. Otherwise, it will chose a time-based UUID. It is possible to force the generation of one of these two UUID types by using the -r or -t options.

OPTIONS

-r  Generate a random-based UUID. This method creates a UUID consisting mostly of random bits. It requires that the operating system have a high quality random number generator, such as /dev/random.

-t  Generate a time-based UUID. This method creates a UUID based on the system clock plus the system's ethernet hardware address, if present.

RETURN VALUE
The UUID of the form 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb (in printf(3) format "%08x-%04x-%04x-%04x-%012x") is output to the standard output.

CONFORMING TO
OSF DCE 1.1

AUTHOR
uuidgen was written by Andreas Dilger for libuuid.

AVAILABILITY
uuidgen is part of libuuid from the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libuuid(3)